//
//  BUYOptionValue.m
//  Mobile Buy SDK
//
//  Created by Shopify.
//  Copyright (c) 2015 Shopify Inc. All rights reserved.
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy
//  of this software and associated documentation files (the "Software"), to deal
//  in the Software without restriction, including without limitation the rights
//  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
//  copies of the Software, and to permit persons to whom the Software is
//  furnished to do so, subject to the following conditions:
//
//  The above copyright notice and this permission notice shall be included in
//  all copies or substantial portions of the Software.
//
//  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
//  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
//  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
//  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
//  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
//  THE SOFTWARE.
//

#import "BUYOptionValue.h"

@implementation BUYOptionValue

- (void)updateWithDictionary:(NSDictionary *)dictionary
{
	[super updateWithDictionary:dictionary];
	
	_name = [dictionary[@"name"] copy];
	_value = [dictionary[@"value"] copy];
	_optionId = [dictionary[@"option_id"] copy];
}

- (BOOL)isEqual:(id)object
{
	BOOL same = NO;
	
	if (self == object) {
		same = YES;
	}
	else if ([object isKindOfClass:self.class]) {
	
		BUYOptionValue *optionValue = (BUYOptionValue *)object;
		same = ([self.optionId isEqualToNumber:optionValue.optionId] &&
					 [self.value isEqualToString:optionValue.value]);
	}
	
	return same;
}

- (NSUInteger)hash
{
	NSUInteger hash = [self.value hash];
	hash ^= [self.optionId hash];
	return hash;
}

@end
